from django import forms

class NotificationSimpleForm(forms.Form):
    title = forms.CharField(label='Title', max_length=255, required=True)
    body = forms.CharField(label='Body', widget=forms.Textarea, required=True)
    link = forms.CharField(label='Link (optional)', max_length=255, required=False)


class NotificationLocalizedForm(forms.Form):
    title_en = forms.CharField(label='Title (English)', max_length=255, required=True)
    title_es = forms.CharField(label='Title (Spanish)', max_length=255, required=True)
    title_pt = forms.CharField(label='Title (Portuguese)', max_length=255, required=True)
    body_en = forms.CharField(label='Body (English)', widget=forms.Textarea, required=True)
    body_es = forms.CharField(label='Body (Spanish)', widget=forms.Textarea, required=True)
    body_pt = forms.CharField(label='Body (Portuguese)', widget=forms.Textarea, required=True)
    link_en = forms.CharField(label='Link (English, optional [either fill both 3 or none of them])', max_length=255, required=False)
    link_es = forms.CharField(label='Link (Spanish, optional [either fill both 3 or none of them])', max_length=255, required=False)
    link_pt = forms.CharField(label='Link (Portuguese, optional [either fill both 3 or none of them])', max_length=255, required=False)