import colorsys
import hashlib
from zlib import crc32


def get_rgbhex_int(i: int):
    rgb = colorsys.hsv_to_rgb((abs(i) % 768)/768, 1, 1)
    return ''.join([('0'+(hex(int(round(x*255, 0)))[2:]))[-2:] for x in rgb])


def get_rgbhex_bts(b: bytes):
    return get_rgbhex_int(crc32(hashlib.sha256(b).digest()))


def get_rgbhex_str(s: str):
    return get_rgbhex_bts(s.encode('utf-8'))


def get_rgbhex_remindable_text(o):
    return get_rgbhex_str(f'{o.en}_{o.es}_{o.pt}')


def get_rgbhex(obj):
    return get_rgbhex_int(hash(obj))
