# Generated by Django 2.1.4 on 2018-12-20 03:26

import ckeditor.fields
import colorfield.fields
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid
import webproj.conventions.helpers
import webproj.conventions.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ActivityCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('ordering', models.IntegerField(blank=True, default=0)),
            ],
            options={
                'ordering': ('ordering', '-pk'),
            },
        ),
        migrations.CreateModel(
            name='AdditionalRules',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('ordering', models.IntegerField(blank=True, default=0)),
            ],
            options={
                'ordering': ('ordering', '-pk'),
            },
        ),
        migrations.CreateModel(
            name='Announcement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Color',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('color', colorfield.fields.ColorField(default='#000000', max_length=18)),
                ('opacity', models.IntegerField(default=255, help_text='Opacity: 0 is transparent, 255 is opaque.', validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(255)])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConventionActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('conbook_key', models.CharField(default='', max_length=255)),
                ('conbook_pages', webproj.conventions.models.IntListField(default='', max_length=255)),
                ('time_start', models.DateTimeField(help_text='fill with the time on the timezone of the event.')),
                ('time_end', models.DateTimeField(help_text='fill with the time on the timezone of the event.')),
                ('language', models.CharField(choices=[('pt', 'Portuguese'), ('en', 'English'), ('es', 'Spanish')], default='pt', max_length=2)),
                ('hidden_from_time_table', models.BooleanField(blank=True, default=False)),
            ],
            options={
                'ordering': ('-time_start', '-time_end', 'conbook_key'),
            },
        ),
        migrations.CreateModel(
            name='ConventionEdition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('hashtag_reminder', models.CharField(default='', max_length=255)),
                ('fire_notifications_n_minutes_before', models.PositiveIntegerField(default=15)),
                ('convention_day_start_time', models.TimeField(help_text='fill with the time on the timezone of the event.')),
                ('convention_day_end_time', models.TimeField(help_text='fill with the time on the timezone of the event.')),
                ('rule_621_checker', models.BooleanField(blank=True, default=False)),
                ('next_edition_date', models.DateField(help_text='fill with the time on the timezone of the event.')),
                ('ceremony_opening_time', models.DateTimeField(help_text='fill with the time on the timezone of the event.')),
                ('ceremony_closing_time', models.DateTimeField(help_text='fill with the time on the timezone of the event.')),
                ('banner_1st_change', models.DateTimeField(help_text='fill with the time on the timezone of the event.')),
                ('banner_2nd_change', models.DateTimeField(help_text='fill with the time on the timezone of the event.')),
                ('split_day_into_n_parts', models.IntegerField(default=24, validators=[django.core.validators.MaxValueValidator(1440), django.core.validators.MinValueValidator(1)])),
                ('language', models.CharField(choices=[('pt', 'Portuguese'), ('en', 'English'), ('es', 'Spanish')], default='pt', max_length=2)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConventionRegistrationTier',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('level', models.IntegerField(default=0)),
                ('is_lowest', models.BooleanField(blank=True, default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConventionSeries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('url', models.SlugField(default='', max_length=255, unique=True)),
                ('language', models.CharField(choices=[('pt', 'Portuguese'), ('en', 'English'), ('es', 'Spanish')], default='pt', max_length=2)),
                ('featured', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.ConventionEdition')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LanguageImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
            ],
            options={
                'ordering': ('reminder_alias',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LanguageInvariantImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('picture', models.ImageField(upload_to=webproj.conventions.helpers.RandomFileName(''))),
            ],
            options={
                'ordering': ('reminder_alias',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LanguagePhrase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('pt', models.CharField(default='', max_length=255)),
                ('en', models.CharField(default='', max_length=255)),
                ('es', models.CharField(default='', max_length=255)),
            ],
            options={
                'ordering': ('reminder_alias',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LanguageRichText',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('pt', ckeditor.fields.RichTextField(default='')),
                ('en', ckeditor.fields.RichTextField(default='')),
                ('es', ckeditor.fields.RichTextField(default='')),
            ],
            options={
                'ordering': ('reminder_alias',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LanguageText',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('pt', models.TextField(default='')),
                ('en', models.TextField(default='')),
                ('es', models.TextField(default='')),
            ],
            options={
                'ordering': ('reminder_alias',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('ordering', models.IntegerField(blank=True, default=0)),
                ('color', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.Color')),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase')),
            ],
            options={
                'ordering': ('ordering', '-pk'),
            },
        ),
        migrations.CreateModel(
            name='RegistrationBenefitDefinition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('ordering', models.IntegerField(blank=True, default=0)),
                ('description', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase')),
            ],
            options={
                'ordering': ('ordering', '-pk'),
            },
        ),
        migrations.CreateModel(
            name='RegistrationTierDefinition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('ordering', models.IntegerField(blank=True, default=0)),
                ('title', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase')),
            ],
            options={
                'ordering': ('ordering', '-pk'),
            },
        ),
        migrations.CreateModel(
            name='SocialMedia',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('ordering', models.IntegerField(default=0)),
                ('icon', models.CharField(blank=True, choices=[(None, '-- no icon --'), ('ic_telegram', 'Telegram'), ('ic_twitter', 'Twitter'), ('ic_facebook_official', 'Facebook'), ('ic_youtube_play', 'YouTube'), ('ic_instagram', 'Instagram'), ('ic_web_black_24dp', 'Web browser')], default=None, max_length=255, null=True)),
                ('color', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.Color')),
                ('convention', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='social_medias', to='conventions.ConventionSeries')),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase')),
                ('url', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase')),
            ],
            options={
                'ordering': ('ordering', 'name__reminder_alias', '-pk'),
            },
        ),
        migrations.CreateModel(
            name='Timezone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('hour', models.IntegerField(default=-3, validators=[django.core.validators.MinValueValidator(-24), django.core.validators.MaxValueValidator(24)])),
                ('minute', models.IntegerField(default=0, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(60)])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='languageimage',
            name='en_image',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageInvariantImage'),
        ),
        migrations.AddField(
            model_name='languageimage',
            name='es_image',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageInvariantImage'),
        ),
        migrations.AddField(
            model_name='languageimage',
            name='pt_image',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageInvariantImage'),
        ),
        migrations.AddField(
            model_name='conventionseries',
            name='name',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
        migrations.AddField(
            model_name='conventionseries',
            name='statute',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageRichText'),
        ),
        migrations.AddField(
            model_name='conventionseries',
            name='timezone',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.Timezone'),
        ),
        migrations.AddField(
            model_name='conventionregistrationtier',
            name='benefits',
            field=models.ManyToManyField(blank=True, related_name='_conventionregistrationtier_benefits_+', to='conventions.RegistrationBenefitDefinition'),
        ),
        migrations.AddField(
            model_name='conventionregistrationtier',
            name='convention',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='registration_tiers', to='conventions.ConventionEdition'),
        ),
        migrations.AddField(
            model_name='conventionregistrationtier',
            name='tier',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.RegistrationTierDefinition'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='banner_after',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageImage'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='banner_before',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageImage'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='banner_during',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageImage'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='edition_of',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='editions', to='conventions.ConventionSeries'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='map_dealers',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageImage'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='map_hotel',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageImage'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='name',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='theme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
        migrations.AddField(
            model_name='conventionedition',
            name='timezone',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.Timezone'),
        ),
        migrations.AddField(
            model_name='conventionactivity',
            name='attendable_by',
            field=models.ManyToManyField(related_name='_conventionactivity_attendable_by_+', to='conventions.ConventionRegistrationTier'),
        ),
        migrations.AddField(
            model_name='conventionactivity',
            name='categories',
            field=models.ManyToManyField(blank=True, related_name='on_activities', to='conventions.ActivityCategory'),
        ),
        migrations.AddField(
            model_name='conventionactivity',
            name='convention',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='events', to='conventions.ConventionEdition'),
        ),
        migrations.AddField(
            model_name='conventionactivity',
            name='description',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageText'),
        ),
        migrations.AddField(
            model_name='conventionactivity',
            name='picture',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageInvariantImage'),
        ),
        migrations.AddField(
            model_name='conventionactivity',
            name='places',
            field=models.ManyToManyField(related_name='on_activities', to='conventions.Place'),
        ),
        migrations.AddField(
            model_name='conventionactivity',
            name='subtitle',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
        migrations.AddField(
            model_name='conventionactivity',
            name='title',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
        migrations.AddField(
            model_name='announcement',
            name='body',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageText'),
        ),
        migrations.AddField(
            model_name='announcement',
            name='convention',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='announcements', to='conventions.ConventionSeries'),
        ),
        migrations.AddField(
            model_name='announcement',
            name='link',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
        migrations.AddField(
            model_name='announcement',
            name='title',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
        migrations.AddField(
            model_name='additionalrules',
            name='convention',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='additional_rules', to='conventions.ConventionEdition'),
        ),
        migrations.AddField(
            model_name='additionalrules',
            name='name',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
        migrations.AddField(
            model_name='additionalrules',
            name='rules',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguageRichText'),
        ),
        migrations.AddField(
            model_name='activitycategory',
            name='color',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.Color'),
        ),
        migrations.AddField(
            model_name='activitycategory',
            name='name',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase'),
        ),
    ]
