# Generated by Django 2.1.4 on 2018-12-28 01:04

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('conventions', '0008_auto_20181222_2125'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConventionRegistrationLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('ordering', models.IntegerField(default=0)),
                ('appears', models.DateTimeField(help_text='fill with the time on the timezone of the event.')),
                ('vanishes', models.DateTimeField(help_text='fill with the time on the timezone of the event.')),
                ('color', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.Color')),
                ('convention', models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, related_name='registration_links', to='conventions.ConventionEdition')),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase')),
                ('url', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='conventions.LanguagePhrase')),
            ],
            options={
                'ordering': ('convention__ceremony_opening_time', 'ordering', '-pk'),
            },
        ),
    ]
