# Generated by Django 2.2.3 on 2019-08-23 13:26

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid
import webproj.conventions.models


class Migration(migrations.Migration):

    dependencies = [
        ('conventions', '0027_auto_20190729_2210'),
    ]

    operations = [
        migrations.CreateModel(
            name='CharityAuctionItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('donor', models.CharField(blank=True, default='', max_length=255)),
                ('labeled_as', models.CharField(blank=True, default='', max_length=255)),
                ('name', models.CharField(default='', max_length=255)),
                ('guessed_market_value', models.FloatField(default=1.0, validators=[django.core.validators.MinValueValidator(0)])),
                ('bid_initial', models.FloatField(default=1.0, validators=[django.core.validators.MinValueValidator(0)])),
                ('bid_increments', models.FloatField(default=1.0, validators=[django.core.validators.MinValueValidator(0)])),
                ('awarded_for', models.FloatField(blank=True, default=0.0, validators=[django.core.validators.MinValueValidator(0)])),
                ('relative_interest', models.IntegerField(blank=True, default=0)),
                ('convention', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='charity_auction_items', to='conventions.ConventionEdition')),
            ],
            options={
                'ordering': ('convention__ceremony_opening_time', 'convention__pk', 'relative_interest', 'guessed_market_value', '-pk'),
            },
            bases=(models.Model, webproj.conventions.models.ConventionSeriesMixin, webproj.conventions.models.ConventionEditionMixin),
        ),
    ]
