# Generated by Django 3.0.1 on 2020-01-15 06:23

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('conventions', '0046_auto_20200115_0608'),
    ]

    operations = [
        migrations.CreateModel(
            name='PermissionTokenActivities',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='activities_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenBanners',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='banners_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenConvention',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='convention_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenLinkToRegistration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='link_to_registration_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenManageAuction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='auction_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenManageDonations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='donation_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenRegistrationTiers',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='registration_tiers_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenRegulations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='regulations_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenRooms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='rooms_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenSocialLinks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='social_links_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenStaff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='staff_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenTags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='tags_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='translation_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermissionTokenUploadImages',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('resource_uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('reminder_alias', models.CharField(default='', help_text='All characters must be alphanumerical or underline, except by the first character, which must not be alphanumerical.', max_length=255, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z0-9_]*$')])),
                ('key', models.UUIDField(default=uuid.uuid4)),
                ('convention_series', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='upload_images_tokens', to='conventions.ConventionSeries')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.DeleteModel(
            name='PermissionTokenManageCharity',
        ),
    ]
